package fr.username404.snowygui.fabric

import com.terraformersmc.modmenu.api.ConfigScreenFactory
import com.terraformersmc.modmenu.api.ModMenuApi
import fr.username404.snowygui.config.SnowyConfigScreen
import net.minecraft.client.gui.screens.Screen

class ModMenuConf: ModMenuApi {
    override fun getModConfigScreenFactory(): ConfigScreenFactory<Screen> {
        return ConfigScreenFactory<Screen> { screen: Screen? ->
            object : SnowyConfigScreen() {
                override fun onClose() {
                    minecraft!!.setScreen(screen)
                }
            }
        }
    }
}