package fr.username404.snowygui.mixins;

import fr.username404.snowygui.EventSnowy;
import net.minecraft.client.Minecraft;
import org.jetbrains.annotations.NotNull;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(Minecraft.class)
public class EndTickMixin implements EventSnowy {
	@NotNull
	@Override
	public String getType() {
		return "EndTick";
	}
	@Inject(method = "tick", at = @At("RETURN"))
	public void endTick(CallbackInfo ci) { fire(); }
}
