package fr.username404.snowygui.gui

import com.mojang.blaze3d.vertex.PoseStack
import net.minecraft.client.gui.screens.Screen
import net.minecraft.network.chat.TranslatableComponent

abstract class SnowyScreen(translatableString: String = "screen.snowy.gui", private val willPauseScreen: Boolean = false): Screen(TranslatableComponent(translatableString)) {
    open val components: MutableSet<Element>? = null
    override fun render(poseStack: PoseStack?, i: Int, j: Int, f: Float) {
        if (poseStack != null) {
            components?.forEach {
                it.display(poseStack)
            }
        }
    }
    override fun isPauseScreen(): Boolean = willPauseScreen
}